"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
require("../util/graphic.js");
const Text = require("../../../../../zrender@5.4.4/node_modules/zrender/lib/graphic/Text.js");
function getTextRect(text, font, align, verticalAlign, padding, rich, truncate, lineHeight) {
  var textEl = new Text.default({
    style: {
      text,
      font,
      align,
      verticalAlign,
      padding,
      rich,
      overflow: truncate ? "truncate" : null,
      lineHeight
    }
  });
  return textEl.getBoundingRect();
}
exports.getTextRect = getTextRect;
